<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKSharePhoto Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_share_photo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKSharePhoto Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_share_photo_8h_source.html">FBSDKSharePhoto.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKSharePhoto:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_share_photo.png" usemap="#FBSDKSharePhoto_map" alt=""/>
  <map id="FBSDKSharePhoto_map" name="FBSDKSharePhoto_map">
<area href="protocol_f_b_s_d_k_copying-p.html" alt="&lt;FBSDKCopying&gt;" shape="rect" coords="134,56,258,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a7ab3bebfb4771c5594b574efe97acf63"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_share_photo.html#a7ab3bebfb4771c5594b574efe97acf63">isEqualToSharePhoto:</a></td></tr>
<tr class="separator:a7ab3bebfb4771c5594b574efe97acf63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_copying-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_copying-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_copying-p.html">&lt;FBSDKCopying&gt;</a></td></tr>
<tr class="memitem:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">copy</a></td></tr>
<tr class="separator:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a82688dbda2c38f6313d68930dc905d41"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_photo.html#a82688dbda2c38f6313d68930dc905d41">photoWithImage:userGenerated:</a></td></tr>
<tr class="separator:a82688dbda2c38f6313d68930dc905d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af694b8e347cff776ac37ab9278ec6865"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_photo.html#af694b8e347cff776ac37ab9278ec6865">photoWithImageURL:userGenerated:</a></td></tr>
<tr class="separator:af694b8e347cff776ac37ab9278ec6865"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a93f461424066ad2f65b58902d95d5470"><td class="memItemLeft" align="right" valign="top">UIImage *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_photo.html#a93f461424066ad2f65b58902d95d5470">image</a></td></tr>
<tr class="separator:a93f461424066ad2f65b58902d95d5470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499fdf232b43b9222e9db5f320bda63d"><td class="memItemLeft" align="right" valign="top">NSURL *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_photo.html#a499fdf232b43b9222e9db5f320bda63d">imageURL</a></td></tr>
<tr class="separator:a499fdf232b43b9222e9db5f320bda63d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa348d2490f0f01361054cf06af7fc4a"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_photo.html#aaa348d2490f0f01361054cf06af7fc4a">userGenerated</a></td></tr>
<tr class="separator:aaa348d2490f0f01361054cf06af7fc4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a378bd927653780e0ad52400dd095c333"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_photo.html#a378bd927653780e0ad52400dd095c333">caption</a></td></tr>
<tr class="separator:a378bd927653780e0ad52400dd095c333"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A photo for sharing. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a7ab3bebfb4771c5594b574efe97acf63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ab3bebfb4771c5594b574efe97acf63">&#9670;&nbsp;</a></span>isEqualToSharePhoto:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isEqualToSharePhoto: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)&#160;</td>
          <td class="paramname"><em>photo</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Compares the receiver to another photo.</p><ul>
<li>Parameter photo: The other photo</li>
<li>Returns: YES if the receiver's values are equal to the other photo's values; otherwise NO </li>
</ul>

</div>
</div>
<a id="a82688dbda2c38f6313d68930dc905d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82688dbda2c38f6313d68930dc905d41">&#9670;&nbsp;</a></span>photoWithImage:userGenerated:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) photoWithImage: </td>
          <td></td>
          <td class="paramtype">(UIImage *)&#160;</td>
          <td class="paramname"><em>image</em></td>
        </tr>
        <tr>
          <td class="paramkey">userGenerated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>userGenerated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build a new photo object with an image.</p><ul>
<li>Parameter image: If the photo is resident in memory, this method supplies the data</li>
<li>Parameter userGenerated: Specifies whether the photo represented by the receiver was generated by the user or by the application </li>
</ul>

</div>
</div>
<a id="af694b8e347cff776ac37ab9278ec6865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af694b8e347cff776ac37ab9278ec6865">&#9670;&nbsp;</a></span>photoWithImageURL:userGenerated:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) photoWithImageURL: </td>
          <td></td>
          <td class="paramtype">(NSURL *)&#160;</td>
          <td class="paramname"><em>imageURL</em></td>
        </tr>
        <tr>
          <td class="paramkey">userGenerated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>userGenerated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build a new photo object with an imageURL.</p><ul>
<li>Parameter imageURL: The URL to the photo</li>
<li>Parameter userGenerated: Specifies whether the photo represented by the receiver was generated by the user or by the application</li>
</ul>
<p>This method should only be used when adding photo content to open graph stories. For example, if you're trying to share a photo from the web by itself, download the image and use <code>photoWithImage:userGenerated:</code> instead. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a378bd927653780e0ad52400dd095c333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a378bd927653780e0ad52400dd095c333">&#9670;&nbsp;</a></span>caption</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) caption</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The user generated caption for the photo. Note that the 'caption' must come from the user, as pre-filled content is forbidden by the Platform Policies (2.3).</p><ul>
<li>Returns: the Photo's caption if exists else returns null. </li>
</ul>

</div>
</div>
<a id="a93f461424066ad2f65b58902d95d5470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93f461424066ad2f65b58902d95d5470">&#9670;&nbsp;</a></span>image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage*) <a class="el" href="classdlib_1_1array2d.html">image</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If the photo is resident in memory, this method supplies the data.</p><ul>
<li>Returns: UIImage representation of the photo </li>
</ul>

</div>
</div>
<a id="a499fdf232b43b9222e9db5f320bda63d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a499fdf232b43b9222e9db5f320bda63d">&#9670;&nbsp;</a></span>imageURL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSURL*) imageURL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The URL to the photo.</p><ul>
<li>Returns: URL that points to a network location or the location of the photo on disk </li>
</ul>

</div>
</div>
<a id="aaa348d2490f0f01361054cf06af7fc4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa348d2490f0f01361054cf06af7fc4a">&#9670;&nbsp;</a></span>userGenerated</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) userGenerated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Specifies whether the photo represented by the receiver was generated by the user or by the application.</p><ul>
<li>Returns: YES if the photo is user-generated, otherwise NO </li>
</ul>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_share_photo_8h_source.html">FBSDKSharePhoto.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
